function query_menu, s_arr, x_on, $
	xsize = xsize, ysize = ysize, $
	scroll = scroll, $
	x_scroll_size = x_scroll_size, y_scroll_size = y_scroll_size


if n_elements(x_on) eq 0 then x_on = 0


; initialize
choice = 0	; integer, not real


if x_on eq 0 then begin
	print, ' '
	for i = 0, n_elements(s_arr)-1 do print, i+1, ': ', s_arr(i)
	print, 'Please make your choice'
	read, choice
	print, ' '
	return, choice-1
endif


; default parameters
height_factor = 26L
width_factor = 12L
if n_elements(xsize) eq 0 then xsize = $
	min([400,width_factor*max([strlen(s_arr)])])
if n_elements(ysize) eq 0 then ysize = $
	height_factor*n_elements(s_arr)
if n_elements(x_scroll_size) eq 0 then x_scroll_size = xsize
if n_elements(y_scroll_size) eq 0 then y_scroll_size = ysize
if n_elements(scroll) eq 0 then scroll = 0


; define constants [in pixels]
xoffset = 100
yoffset = 100
; define button widget
base = widget_base()
if scroll eq 0 then $
	menu = cw_bgroup(base, s_arr, /column, $
		xsize = xsize, ysize = ysize) $
else $
	menu = cw_bgroup(base, s_arr, /column, $
		xsize = xsize, ysize = ysize, $
		scroll = scroll, $
		x_scroll_size = x_scroll_size, y_scroll_size = y_scroll_size)

widget_control, base, $
	tlb_set_xoffset = xoffset, tlb_set_yoffset = yoffset
widget_control, base, /realize


; get event:
event = widget_event(base)
; for a button-group widget the event has the structure:
; event = { ID:0L, TOP:0L, HANDLER:0L, SELECT:0, VALUE:0 } 
; (from CW_BGROUP description on online help)
; the EVENT.VALUE field can be set to be the button id, index (default), or
; name, with appropriate keywords in the widget declaration.
; Here we select the index (default).
choice = event.value(0)
  

; destroy base
widget_control, base, /destroy


return, choice
end
