function run_wsa_wso()

% Running WSA currently means retrieving its real time prediction
% from the SEC ftp site.  Eventually this program will make a call
% to the WSA executable.

CISM_DX_GLOBALS; % Load global variables
  
fprintf('Program run_wsa_wso.m is running the wsa model ...\n');fflush(stdout);  
fprintf('... currently using wget to download latest wsa predictions\n');fflush(stdout);

cwd = pwd;
cd(CISM_DX_DATA_DIR_WSA)
cd('predictions')

command_str = sprintf('%s -nd -m -a wget_logfile \"%s/wso*\"',CISM_DX_WGET_PATH,CISM_DX_FTP_STR_WSA);
system(command_str);

fprintf('... done using wget to download latest predictions\n');fflush(stdout);

cd(cwd)

fprintf('... done running the wsa model.\n');fflush(stdout);  
