function ValueList = OctaveOpDemoValueList(ValueList,astring)
%OctaveOpDemoValueList Demo of passing a value list to/from OpenDX
%  
%  ValueList = OCTAVEOP_DEMOValueList(ValueList, String)
%  
%    ValueList is an OpenDX value list.  The number of items is treated
%    as the number of rows, and the number of values in each item is
%    treated as the number of columns.
%
%   Input and output variable names *must* be ValueList.
%
%    String is an arbitrary string.
%
%    See also OctaveOpDemoField.

version

ValueList  

I         = [1 1 1 2 2 2];
ValueList = ValueList(I,:);

ValueList
