#include <dx/dx.h>
#include "fitsio.h"
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>

/* cijk - indexing macro for DX Arrays */
#define cijk(c,i,j,k)  ((c)+iNumVars*((i)+(iNx+1)*((j)+iNy*(k))))

/* ijk - indexing macro for FITS Arrays */
#define ijk(i,j,k)  ((i)+iNx*((j)+iNy*(k)))

void printerror( int status);
void readimage( fitsfile *fptr, float image[], int hdu, long npixels ); 
void Copy2DX(int iLoc,float *fpMHDData,float *fpData,
             int iNumVars, int iNx,int iNy,int iNz);

