/* Function prototypes and common defines for lfm-Pllel */

#ifndef FUNCS_H
#define FUNCS_H

#define ij(i,j) ((i)+ni*(j))
#define ij1(i,j) ((i)+nip1*(j))
#define ijk(i,j,k) ((i)+ni*((j)+nj*(k)))
#define ijk1(i,j,k) ((i)+nip1*((j)+njp1*(k)))
#define ijkc(i,j,k) ((i)+ni*((j)+njp2*(k)))
#define vijk(v,i,j,k) ((v)+nv*((i)+ni*((j)+njp2*((k)))))
#define ionij(i,j) ((i)+njp1*(j))
#define vionij(v,i,j) ((v)+nv*((i)+njp1*((j))))

int PGetGrid(int32 liFileId, float fNorm, float *fpMHDPts, float *fpFluxPts, float *fpDivBPts);
int PGetMHDData(int32 liFileId, int ni, int nj, int nk, float *fpMHDData, float *fpFluxData, float *fpDivBData);
int PGetIonGrid(int32 liFileId, float fNorm, float *fpIonPts);
int PGetIonData(int32 liFileId, int njp1, int nk2p3, float *fpIonData);
int PGetIntAtr(int32 liId, char *cpName);
int PChkStep(int iTimeStep, int iInital, int iFinal, int iInterval);
float *fpPGetData(int32 liFileId, char *cpName);

#endif
