#!/usr/bin/perl
# This code creates the spdx module definition file with the correct directory 
# locations

$num = scalar(@ARGV);
if ($num != 3) {
  die "Usage: makemdf.pl <DXBASE> <SPDX> <FIXFILE> \n";
}
$fixfile = $ARGV[2];
print "Creating $fixfile....";
open(TMPLATE,"$fixfile.tmp") || die "Needs $fixfile.tmp \n";
open(OUTFILE,">/tmp/$fixfile") || die "Cannot open /tmp/$fixfile \n";

while(<TMPLATE>) {
  $_ =~ s?DXBASE?$ARGV[0]?;
  $_ =~ s?SPDX?$ARGV[1]?;
  print OUTFILE;
}
close(OUTFILE);
$eval = `mv /tmp/$fixfile $fixfile`;
print "done! \n";

