eglobpar2;                    % get global parameters
einit2;

ePlotAreaPos       = [15 20]; % x y position of left bottom corner of plot area
ePlotAreaWidth     = 170;     % mm
ePlotAreaHeight    = 200;     % mm
ePlotTitleDistance = 4;
eopen2(eps_filename);         % open eps-file and write eps-head
Lcolors = [1 0 0 ; ...
	   0 1 0 ; ...
	   0 0 1 ; ...
	   0 1 1 ; ...
	   1 1 1 ];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:length(Pc)

  esubplot2(size(Pc,2),1,i)

  Xlims = XLIMS{i};
  Xlabs = XLABS{i};
  
  ePlotTitleText       = TITLE{i};
  eXAxisSouthLabelText = XLABEL{i};
  eYAxisSouthLabelText = YLABEL{i};
  
  dP    = max(Pc{i}(:))-min(Pc{i}(:));
  dP    = dP/5;
  Ylims = [min(Pc{i}(:)) dP max(Pc{i}(:))];
  
  eaxes2(Xlims,Xlabs,Ylims,[]);
  
  for j = 1:size(Pc{i},2)
    
    eplot2(x{i},Pc{i}(:,j),LEG{i,j},0,Lcolors(j,:));    
    
  end
  eplot2; 
end

eclose2;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
