clear

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
timeunit = 'day';
t        = [0:1:365*22]';
T1       = 365.0/2;
T2       = 365.0;

Sd      =          sin(2*pi*t/T1);
%Sd      = Sd + 1.0*sin(2*pi*t/T2);
N       = floor(length(Sd)/2);

if (1)
%Sd      = [Sd(1:N) ; flipud(Sd(N+1:end))];
%Sd      = rectify(Sd);
end

eps_filename = './figures/fft.eps';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Sd_fft  = fft(Sd);
Sd_psd  = sqrt(real(Sd_fft.*conj(Sd_fft)));
f       = [0:N-1]'/(2*N);
T       = 1.0./f(2:end);
break
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
I1        = [1:length(t)];
x{1}      = t(I1);
Pc{1}     = Sd(I1);
dt1       = (x{1}(end)-x{1}(1))/10;
dt1       = 365*3;
XLIMS{1}  = [x{1}(1):dt1:x{1}(end),x{1}(end)]';
XLABS{1}  = num2str(XLIMS{1});
TITLE{1}  = ' ';
XLABEL{1} = sprintf('Time [%s]',timeunit);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
I2        = [1:length(f)/20];
x{2}      = f(I2);
Pc{2}     = Sd_psd(I2);

dt2       = (x{2}(end)-x{2}(1))/10;
dt2       = 1.0/365.0;;
XLIMS{2}  = [x{2}(1):dt2:x{2}(end),x{2}(end)]';
temp      = 1./XLIMS{2}(2:end);
temp      = num2str(temp);
temp      = [blanks(size(temp,2)) ; temp];
XLABS{2}  = temp;

TITLE{2}  = ' ';
%XLABEL{2} = sprintf('frequency [1/%s]',timeunit);
XLABEL{2} = sprintf('Period [%s]',timeunit);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fft_plot
