function D = readdir(DIRNAME)
%READDIR Imitation of Octave's READDIR.
%
%   files = READDIR(DIRNAME) returns an array of file name strings.
%   Result is 
%   
%   temp  = dir(DIRNAME);
%   files = cellstr(temp.name); 
%   files = strvcat(temp.name);
%
%   See also DIR.
  
D  = dir(DIRNAME);
D  = strvcat(D.name);
D  = cellstr(D);
