#include "hdf.h"
#define MAX_LEN 1024

typedef struct {
  int32 n_attributes;
  char **attr_values;
  char **attr_names;
} SDS_attributes;

typedef struct {
  int32 *n_dims;
  int32 *n_attrs;
  int32 *n_values;
  char *data_type;
  char **names;
  int32 *start;
  int32 *stride;
  int32 *edges;
  int32 *Npts;
} SDS_dims;

typedef struct {
  int32 sd_id;
  int32 n_datasets;
  int32 sds_index;
  int32 sds_id;
  char *name;
  char *label;
  char *unit;
  char *format;
  char *coord_system;
  char *sd_filename;
  int32 num_type;
  int32 n_attributes;
  int32 rank;
  int32 *dim_sizes;
  int32 *attr_lengths;
  float *float_array_1D;
  double *double_array_1D;
  SDS_attributes attributes;
  SDS_dims dims;
} SDS_structure;

