function plot_nonflag(x,prompt)

if (nargin < 2)  
  prompt = 0;
end
  
CISM_DX_GLOBALS;  

is_plotted = zeros(1,size(x,2));

for i = 1:size(x,2)  

  % Guess flag condition
  I = sum(is_flag(x(:,i),CISM_DX_FLAG,1));
  if (I > 1) & (is_plotted(i) == 0)
    plot(reflag(x(:,i),CISM_DX_FLAG,mean_nonflag(x(:,i),1,CISM_DX_FLAG,1)));
    is_plotted(i) = 1;
  end

  % Guess flag condition  
  I = sum(is_flag(x(:,i)));
  if (I > 1) & (is_plotted(i) == 0)
    plot(reflag(x(:,i),NaN,mean_nonflag(x(:,i))));
    is_plotted(i) = 1;
  end

  if (is_plotted(i) == 0)
    plot(x(:,i));
  end


  if (prompt == 1)
    input('Continue?');
  end
  if (prompt == 0) 
    hold on;
  end
  
end

if (prompt == 0)
  hold off;
end