clear
N  = 10;
dz = 0.1;
tol = 1e-4;
trace = 1;

xo = [1 0 5];

x      = zeros(N,3);
x(:,3) = [0:N-1]';

[l,dl] = arc_length(x);

l  = l-l(1);

Bq = quad8('dB',l(1),l(end),tol,trace,l,dl,x,xo);

Lr = [l(1)+dz:dz:l(end)-dz]';
for i = 1:length(Lr)
  deltaB(i,:) = dB(Lr(i),l,dl,x,xo);
end

Bl = dz*sum(deltaB);

Be = B_wire(0,9,xo,1);

(Bq-Be(2))/Be(2)
(Bl-Be(2))/Be(2)