function get_original_data(CISM_DX_DATA_DIR)
%GET_ORIGINAL_DATA 
%  
%   GET_ORIGINAL_DATA(data_dir) Checks to see if data needed to make a
%   data set exists in CISM_DX_DATA_ROOT/measurements/original_data 
% 
%   Incomplete.  Will not work in Octave because of directory listing
%   problem.
%  
%   See also GET_CDAWEB_DATA, MAKE_*.

% R.S. Weigel 6/23/2004
  
CISM_DX_GLOBALS;

N_files = size(dir([CISM_DX_DATA_ROOT,...
		    'measurements/original_data/',CISM_DX_DATA_DIR]),1);

if (N_files < 3)
  str1 = 'Required data must be downloaded:\n';
  str2 = ' get_original_data.m must be modified to do this automatically.';
  error([str1,str2]);
end

