clear
FLAGVAL = 99999.9;
COMP    = 'X';

setpos;
eval(sprintf('load /tmp/TEMPa_X'));
for zz = 1:length(Xm_c)

eval(sprintf('load /tmp/TEMPa_X'));
Xm = Xm_c{zz};
I       = find(max(Xm) < floor(FLAGVAL));   
% floor is there because of FLAGVAL is represented as
% 9.999989999999999e+04
Xm          = Xm(:,I);
Xm          = Xm - repmat(mean(Xm),size(Xm,1),1);
CGM_LAT     = CGM_LAT(I,:);
[CGM_LAT,I] = sort(CGM_LAT);
Xm          = Xm(:,I);

close all;
if (zz == 1),caseval = 'X';comp = 'x';,end;
if (zz == 2),caseval = 'Y';comp = 'y';,end;
if (zz == 3),caseval = 'H';comp = 'H';,end;
AMPSTR        = sprintf('{\\fontsize{48} B_%s}',comp);
SIG_AMPSTR    = sprintf('{\\fontsize{48}\\sigma}_{\\fontsize{18}{B_%s}}',comp);
D_AMPSTR      = sprintf('{\\fontsize{36} |dB_%s/dt|}',comp);
SIG_D_AMPSTR  = sprintf('{\\fontsize{48}\\sigma}_{\\fontsize{18}{|dB_%s/dt|}}',comp);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot mean X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
setpos;
[th,r]   = meshgrid(([0:size(Xm,1)-1]*360/(size(Xm,1)-1))*pi/180,CGM_LAT);
[X,Y]    = pol2cart(th-pi/2,r);
zlims    = [-200 200];
Xmo      = Xm;
Xmo(1)   = zlims(1);
Xmo(end) = zlims(2);
[cl,h]   = contourf(X,Y,Xmo');plotformat(h,1,10,18,0 ,18,0 ,18,0 ,18,0);hold on;
hc       = colorbarf2(cl,h,'vert',Xm',zlims);
%hc       = colorbarf2(cl,h,'vert',Xm');
[cl,h]   = contourf(X,Y,Xm');plotformat(h,1,10,18,0 ,18,0 ,18,0 ,18,0);hold on;
hh       = plot(0,CGM_LAT,'w.','MarkerSize',15);
hh       = plot(0,.99*CGM_LAT(end),'w.','MarkerSize',15); % Cheat so last pt. shows
 axis square;
 axis off

 set(get(gca,'xlabel'),'visible','on');
 set(get(gca,'ylabel'),'visible','on');
 set(get(hc,'Title'),'String','(nT)');
 hold on;
 colormap('default')
 if (zz == 1),Fig_letter    = '(a)';end
 if (zz == 2),Fig_letter    = '(c)';end
 if (zz == 3),Fig_letter    = '(e)';end
 spokes;text(22,34,AMPSTR);text(-39,36,sprintf('{\\fontsize{48} %s}',Fig_letter));

 input('Continue?')
% eps_write(sprintf('global_polar_mlt_%s',caseval),2);
% colormap(flipud(hot));  % Colors that copy to black and white properly.
% eps_write(sprintf('global_polar_mlt_%s_bw',caseval),2);
% colormap('default');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end




