#include "hdf.h"
#define MAX_LEN 1024

typedef struct {
  int32 n_attributes;
  char **attr_values;
  char **attr_names;
} plot_attributes;

typedef struct {
  int32 *n_dims;
  int32 *n_attrs;
  int32 *n_values;
  char *data_type;
  char **names;
  int32 *start;
  int32 *stride;
  int32 *edges;
  int32 *Npts;
} SDS_dims;

typedef struct {
  double *double_array_1D;
  plot_attributes attributes;
} figure_structure;

