function the_str = replac1estr0(the_str,pattern_o,pattern_f)
%REPLACE1STRING Replace first instance of substring with new substring.
%
%    the_str = replace1str(the_str,pattern_o,pattern_f)
%
%    See also FINDSTR.
  
I       = findstr(the_str,pattern_o);

if (length(I)>1)
  error('Cannont handle multiple matches.');
end

if (~isempty(I))

  the_str = [the_str(1:I(1)-1),...
	     pattern_f,...
	     the_str(I(1)+length(pattern_o):end)];

end

