#!/bin/bash

# Need to login at http://kate.nic.ualberta.ca:8000/portal/dt with
# Konqueror browser *and* go to SSDP Magnetometer Data Downloading and
# Plotting (Then run this script).

START_MONTH=11
START_DAY=1
START_HOUR=00
START_MIN=00

END_MONTH=11
END_DAY=30
END_HOUR=23
END_MIN=59

YEAR=( 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 )

for name in ${YEAR[@]} ; 
  do 
  START_YEAR=$name
  END_YEAR=$name
  echo $name
  konqueror "http://kate.nic.ualberta.ca:8000/portal/dt?CSSDPDataDownload-plot-type=download&CSSDPDataDownload-start_year=$START_YEAR&CSSDPDataDownload-start_month=$START_MONTH&CSSDPDataDownload-start_day=$START_DAY&CSSDPDataDownload-start_hour=$START_HOUR&CSSDPDataDownload-start_min=$START_MIN&CSSDPDataDownload-end_year=$END_YEAR&CSSDPDataDownload-end_month=$END_MONTH&CSSDPDataDownload-end_day=$END_DAY&CSSDPDataDownload-end_hour=$END_HOUR&CSSDPDataDownload-end_min=$END_MIN&CSSDPDataDownload-pre-defined-group=ALL&CSSDPDataDownload-site=BACK&CSSDPDataDownload-site=CONT&CSSDPDataDownload-site=DAWS&CSSDPDataDownload-site=ESKI&CSSDPDataDownload-site=FCHU&CSSDPDataDownload-site=FSIM&CSSDPDataDownload-site=FSMI&CSSDPDataDownload-site=GILL&CSSDPDataDownload-site=ISLL&CSSDPDataDownload-site=MCMU&CSSDPDataDownload-site=PINA&CSSDPDataDownload-site=RABB&CSSDPDataDownload-site=RANK&CSSDPDataDownload-site=TALO&scrollBarPosition=&CSSDPDataDownload-instrument=mag&desktopURL=http%3A%2F%2Fkate.nic.ualberta.ca%3A8000%2Fportal%2Fdt&chanName=CSSDPDataDownload&CSSDPDataDownload-xyz=X&CSSDPDataDownload-xyz=Y&CSSDPDataDownload-xyz=Z&CSSDPDataDownload-scale=auto&CSSDPDataDownload-customScale=0&CSSDPDataDownload-plotType=png&CSSDPDataDownload-filteringLow=0&CSSDPDataDownload-filteringHigh=0&CSSDPDataDownload-archiveType=targz" &
  sleep 2m
done

START_MONTH=11
START_DAY=31
START_HOUR=00
START_MIN=00

END_MONTH=09
END_DAY=31
END_HOUR=23
END_MIN=59

YEAR=( 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 )

for name in ${YEAR[@]} ; 
  do 
  START_YEAR=$name
  END_YEAR=$name
  echo $name
  konqueror "http://kate.nic.ualberta.ca:8000/portal/dt?CSSDPDataDownload-plot-type=download&CSSDPDataDownload-start_year=$START_YEAR&CSSDPDataDownload-start_month=$START_MONTH&CSSDPDataDownload-start_day=$START_DAY&CSSDPDataDownload-start_hour=$START_HOUR&CSSDPDataDownload-start_min=$START_MIN&CSSDPDataDownload-end_year=$END_YEAR&CSSDPDataDownload-end_month=$END_MONTH&CSSDPDataDownload-end_day=$END_DAY&CSSDPDataDownload-end_hour=$END_HOUR&CSSDPDataDownload-end_min=$END_MIN&CSSDPDataDownload-pre-defined-group=ALL&CSSDPDataDownload-site=BACK&CSSDPDataDownload-site=CONT&CSSDPDataDownload-site=DAWS&CSSDPDataDownload-site=ESKI&CSSDPDataDownload-site=FCHU&CSSDPDataDownload-site=FSIM&CSSDPDataDownload-site=FSMI&CSSDPDataDownload-site=GILL&CSSDPDataDownload-site=ISLL&CSSDPDataDownload-site=MCMU&CSSDPDataDownload-site=PINA&CSSDPDataDownload-site=RABB&CSSDPDataDownload-site=RANK&CSSDPDataDownload-site=TALO&scrollBarPosition=&CSSDPDataDownload-instrument=mag&desktopURL=http%3A%2F%2Fkate.nic.ualberta.ca%3A8000%2Fportal%2Fdt&chanName=CSSDPDataDownload&CSSDPDataDownload-xyz=X&CSSDPDataDownload-xyz=Y&CSSDPDataDownload-xyz=Z&CSSDPDataDownload-scale=auto&CSSDPDataDownload-customScale=0&CSSDPDataDownload-plotType=png&CSSDPDataDownload-filteringLow=0&CSSDPDataDownload-filteringHigh=0&CSSDPDataDownload-archiveType=targz" &
  sleep 2m
done
