function ATTR = Kyoto_Dst_info(Attr_in)

for i = 1:3  

  Attr{i} = ts_attr;  

  Attr{i}.Year_o = Attr_in{i}.Year_o;
  Attr{i}.Year_f = Attr_in{i}.Year_f;
  Attr{i}.Size   = Attr_in{i}.Size;

  Attr{i}.Source = 'http://swdcwww.kugi.kyoto-u.ac.jp/magqldir/index.html';
  Attr{i}.CreatedWith  = ['Kyoto_AE_1_min.m'];
  Attr{i}.Unit         = 'nT';
  Attr{i}.Acknowledgement = ...
      'See http://swdcwww.kugi.kyoto-u.ac.jp/magqldir/index.html';
  Attr{i}.Warning      = ['Quick look data.  Use only for monitoring,' ...
		    ' diagnostics and forecasting.  See'...
		    ' http://swdcwww.kugi.kyoto-u.ac.jp/aedir/ae1/quick.html'];
  Attr{i}.README = ['Quick look data.  Use only for monitoring,' ...
		    ' diagnostics and forecasting.  See'...
		    ' http://swdcwww.kugi.kyoto-u.ac.jp/aedir/ae1/quick.html'];

Attr{i}.Unit         = 'nT';
Attr{i}.Dt           = '1';
Attr{i}.PPD          = '1440';
Attr{i}.TimeUnit     = 'min';

end

Attr{1}.Name = 'AE quicklook index (Kyoto 1-min)';
Attr{2}.Name = 'AL quicklook index (Kyoto 1-min)';
Attr{3}.Name = 'AU quicklook index (Kyoto 1-min)';

ATTR = Attr;
