function [Files,ATTR] = Nagoya_mm210_extract3(Files)

TSDS_GLOBALS;  

TEMPDIR = [TSDS_DATA_TEMP,'/Nagoya_mm210/tmp'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Load .mat files created by _extract2.m, make fixes according to README.txt
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for k = 1:length(Files)

  fprintf('\nLoading %s\n',Files{k});
  
  vname = deblank(Files{k});
  vname = vname(end-8:end-4);

  com   = sprintf('load(''%s'');',deblank(Files{k}));
  fprintf('Evaluating %s\n',com);
  eval(com);

  fprintf('Changing unit from 0.1 nT to nT\n');

  Var = 0.1*Var;

  ATTR{k} = Attr;
  
  if (is_octave == 0)
    Var = single(Var);
  end
  
  if (is_octave == 1)
    com = sprintf('save %s Var Attr',Files{k});
  else
    com = sprintf('save -V6 %s Var Attr',Files{k});
  end
  
  fprintf('Evaluating %s\n',com);      
  eval(com);

  clear Var;

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
