addpath([pwd,'/../../../epstk21/m']);
addpath([pwd,'/../../../epstk21/m-rsw']);
addpath('./');

load ./mat/octmail2.mat
  
P = eeplot;
P.eXAxisSouthValueVisible = 0;
P.eXAxisSouthScale  = [1 12 15*12];
P.eDashLengths  = -1*ones(size(P.eDashLengths));
P.ePlotAreaWidth = 160;
P.ePlotAreaHeight = 50;
P.ePlotAreaPos = [10 5];
P.ePlotTitleDistance = -5;

for i = 1992:yf
  P.eXAxisSouthValues{i-1991} = num2str(i);
end

for l = 1:length(LIST)  
  P.eFileName = sprintf('./figures/%s.eps',LIST{l});
  P.ePlotTitleText = sprintf('Number of emails/month to %s',LIST{l});
  FNAMES{l} = P.eFileName;
  eeplot(Dm(l,:),P);
  cmd = sprintf(['convert -density 150 -quality 100 -antialias '...
                 './figures/%s.eps ./figures/%s.png'],LIST{l},LIST{l});
  system(cmd);
end

estackeps(FNAMES);

