clear;
load ./mat/octmail.mat

% l = 1 .. 6
% LIST{l} contains list name.
% D{l}(:,1:3) contains Month, Day, Year.
% D{l}(:,4:13) contains first 10 ASCII values of subj. line (after Re:
% removed).

DNo = day_number([1992 1 1]);
for l = 1:length(LIST)

  size(D{l})
  I = find(D{l}(:,3)>1991); % Removes message with year=1980
  D{l}  = D{l}(I,:);
  size(D{l})
  
  size(D{l})
  I = find(D{l}(:,3)<=yf); % Removes messages with year > current year.
  D{l}  = D{l}(I,:);
  size(D{l})
  
  LIST{l}
  min(D{l}(:,3))
  max(D{l}(:,3))

  k = 1;
  for i = 1992:yf
    Dy(l,i-1991) = length(find(D{l}(:,3)==i));
    for j = 1:12
      Dm(l,k) = length(find( (D{l}(:,3)==i) & (D{l}(:,1)==j) )); 
      k = k+1;
    end
  end
  
  DN{l} = -DNo + day_number([ D{l}(:,3), D{l}(:,1), D{l}(:,2)]);
  D{l}  = D{l}(:,4:end);
  % D{l}(:,1:10) now contains first 10 ASCII values of subj. line (after Re:
  % removed).

  [y,i,j] = unique(D{l},'rows');
  Nu(l)   = length(i);               % Number of unique Subjects
  Rr(l)   = 1 - length(i)/length(j); % Reply ratio

end

save ./mat/octmail2.mat


