function [V,ATTR] = SAMPEX_extract(DATA_DIR)

TSDS_GLOBALS;

[Flux,F]    = loaddir(DATA_DIR,'Flux');
V           = cat(1,Flux{:});

Attr = ts_attr;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Attr.CreatedWith  = ['SAMPEX.m'];
Attr.Name    = 'SAMPEX MeV electron flux amplitude';
Attr.Acknowledgement = 'See http://surya.umd.edu/www/sampex.html';
Attr.Source  = 'Shri Kanekal at CU/LASP';
Attr.PPD = '1';
Attr.README  = ...
    'Second dimension is L-shell bin (1-90), L = 1 + (bin number)/10';
Attr.Unit   = 'particles/str.cm.cm.s';
Attr.TimeUnit = 'day';
Attr.Year_o = '1993';
Attr.Year_f = '2001';
Attr.Size   = size(V);

ATTR = Attr;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



