# Usage: perl FMI_1_min_extract.pl DIR
# 

# R.S. Weigel, 03/10/2005

use File::Find;

system("rm -f *.dat");

@directory = ('./');

#open(ER_LOG,">>$ARGV[0]/wdcMIN2dat.log");

find(\&wanted, @directory);

#close(ER_LOG);

$chunk_end = 0;

sub wanted {

    if ( ($_ =~ m/\.col2/) & ($_ !~ m/gz/) ){

	print "FMI_1_min_extract.pl: Reading $_ ...\n";
	open(DATA_in,"$_");

	$line1 = <DATA_in>;
	$line2 = <DATA_in>;
	@Line1 = split(" ", $line1);

	$YR = $Line1[0];
	$MO = $Line1[1];
	$DY = $Line1[2];
	$HR = $Line1[3];
	$MN = $Line1[4];
	$SC = $Line1[5];

	$k = 0;
	for ($i=6; $i < $#Line1 +1 ; $i=$i+2) {
	    $Fname[$k] = $Line1[$i] . "_" . $Line1[$i+1];
#	    print "$k $Fname[$k]\n";
	    $k = $k + 1;
	}	    

	for ($i=0; $i < $#Fname + 1; $i++) {
	    local *FH;
	    open(FH,">>$ARGV[0]/$Fname[$i].dat");	    
#	    print "FMI_1_min_extract.pl: Opening $ARGV[0]/$Fname[$i]\n";
#	    print FH "$YR $MO $DY $HR $MN $SC $Line1[$i+6]\n";
	    $File[$i] = *FH;
	}

	while ($line1 = <DATA_in>) {

	    for ($i=0; $i < $#Fname + 1; $i++) {

		@Line1 = split(" ", $line1);

		$YR = $Line1[0];
		$MO = $Line1[1];
		$DY = $Line1[2];
		$HR = $Line1[3];
		$MN = $Line1[4];
		$SC = $Line1[5];

		*FH = $File[$i];

		# Keep only data at sec = 0.
		if ($SC == 0){
		    print FH "$YR $MO $DY $HR $MN $Line1[$i+6]\n";
		}
		
#		print "$Fname[$i] $YR $MO $DY $HR $MN $SC $Line1[$i+6]\n";

	    }
	}

	for ($i=0; $i < $#Fname + 1; $i++) {
	    *FH2 = $File[$i];
#	    print "FMI_1_min_extract.pl: Closing $ARGV[0]/$Fname[$i]\n";
	    close(FH2);
	}

	@File = ();
	undef @File;
	@Fname = ();
	undef @Fname;

    }

}

