#!/usr/bin/perl
#
#  Reports information about all ground magnetometer data in all
#  spidr*.txt files in the current directory.
#  
#  Usage: ./probe_spidr.pl 
#
#  R.S. Weigel 04/07/2004.

use File::Find;

#$dir1 = $ARGV[0] . "./";
#$dir2 = $ARGV[0] . "/CISM_DX_DATA";
#$dir3 = $ARGV[0] . "/CISM_DX_Auxiliary";
#@directory = ($dir1,$dir2,$dir3);
@directory = ('./');

find(\&wanted, @directory);

$z = 1;

sub wanted {
    if ($_ =~ m/spidr.*\.txt/){
#    if ($_ =~ m/spidr.*108178.*\.txt/){
#    if ($_ =~ m/junk/){
	print "Operating on file: $_ ... \n";
	open(DATA_in,"$_");
	$FILE_END = 0;
	while ($FILE_END == 0){
	    if ( ($line1 = <DATA_in>) && ($line2 = <DATA_in>) ){
		# print "One $line1";
		# print "Two $line2";
		if ($line1 =~ m/Station code/){
		    $line1 =~ s/^\#.*\://;
		    print "$line1";
		}	 
		if ($line2 =~ m/Station code/){
		    $line2 =~ s/^\#.*\: //;
		    print "$line2";
		}	 
		if ($line1 =~ m/yyyy\-mm\-dd/){
		    $line2 =~ s/\"//g;
		    print "$line2";
		}	 
		if ($line2_last =~ m/yyyy\-mm\-dd/){
		    $line1 =~ s/\"//g;
		    print "$line1";
		}	 
		if ( ($line1 =~ m/^[0-9]/) && ($line2 =~ m/^\#/) ){
		    $line1 =~ s/\"//g;
		    print "$line1";
		}	 
		if ( ($line2_last =~ m/^[0-9]/) && ($line1 =~ m/^\#/) ){
		    $line1 =~ s/\"//g;
		    print "$line1";
		}	 
		$line2_last = $line2;
	    } else {
		$FILE_END = 1;
	    }
	}
	if ($line1 !~ m/[0-9]/){
	    $line2 =~ s/\"//g;
	    print "$line2";
	} else {
	    $line1 =~ s/\"//g;
	    print "$line1";
	}
	close(DATA_in);
	print "Done.\n";
    }
}


