%TS_MANUAL Open TSDS manual with a web browser
%
%   Default web browser is Firefox.  This can be changed by
%   modifying the variable TSDS_WWW in TSDS_GLOBALS.m
%
%   See also TSDS.

TSDS_GLOBALS

if (TSDS_WWW == -1)
  fprintf80(sprintf(...
    ['ts_manual       : No web browser found.  To view manual,'...
     ' open a web browser and select File->Open and select tsds.htm']));
  return;
end	

fname = sprintf('%s/doc/tsds.htm',TSDS_ROOT);
if (is_unix == 0)
  com = sprintf('%s "file://%s" &',TSDS_WWW,fname);
else
  com = sprintf('%s %s &',TSDS_WWW,fname);
end	

fprintf80(sprintf('ts_manual       : Calling system with command'));
fprintf80(sprintf('ts_manual       : %s',com));
fprintf80(sprintf('ts_manual       : '));
fprintf80(sprintf(...
    ['ts_manual       : If this does not bring up a web browser,'...
     ' open a web browser and select File->Open and select %s'],fname));

system(com);
