function post_fir()
% Post processes output files

CISM_DX_GLOBALS;
  
fprintf('Program post_fir.m is post processing output files ...\n');fflush(stdout);

load('X_full.dat');  
Tf = X_full(:,1:6);

load(sprintf('T.dat'));

T  = block_mean_nonflag(T',10,CISM_DX_FLAG)';

Tf = [Tf, T];

fid = fopen(sprintf('T_full.dat'),'w');
fprintf(fid,'%4d %2d %2d %2d %2d %2d %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f\n',Tf');
fclose(fid);

fprintf('... done post processing output files.\n');fflush(stdout);
