#include <octave/config.h>

#include <octave/defun-dld.h>
#include <octave/error.h>
#include <octave/oct-obj.h>
#include <octave/pager.h>
#include <octave/symtab.h>
#include <octave/variables.h>

#include <octave/Cell.h>
#include <octave/ov-list.h>
#include <octave/ov-struct.h>

#include "octave/config.h"

#include "octave.h"
#include "symtab.h"
#include "parse.h"
#include "unwind-prot.h"
#include "toplev.h"
#include "error.h" 
#include "quit.h"
#include "variables.h"
#include "sighandlers.h"
#include "sysdep.h"

#ifndef OCTAVE_EMBED_H__
#define OCTAVE_EMBED_H__

#ifdef __cplusplus
extern "C" {
#endif

extern void octave_init(int argc, char *argv[]);
extern int octave_call(const char *string);
extern void octave_exit(void);

#ifdef __cplusplus
}
#endif

#endif

