#include <netcdf.h>
#include <stdio.h>

int main() {
   char *cpFile;
   int liFileId, liIndex,liSdsId, liAtrId, liErr; /* HDF Access Vars */
   int liRank, liAttr, iStatus;
   nc_type liNumType;
   int liaDimSize[NC_MAX_VAR_DIMS], liStart, liEdge, liStride;
   int liaDim3d[3], liaStart3d[3], liaStride3d[3];
   char caDataName[NC_MAX_NAME];
   float *fpXC1,*fpD;
   int i,iNx, iNy, iNz;

   //cpFile = "/home/wiltbemj/tmp/64x30x1.h30a1wt.0016.tim.nc";
   cpFile = "/home/wiltbemj/tmp/64x30x45.g30a1wt.0016.tim.nc";

   iStatus = nc_open(cpFile,NC_NOWRITE,&liFileId);
   printf("FileId %d\n",liFileId);

   iStatus = nc_inq_varid(liFileId,"XC1",&liSdsId);
   printf("liSdsId %d\n",liSdsId);

   iStatus = nc_inq_var(liFileId,liSdsId,caDataName,&liNumType,&liRank,liaDimSize,&liAttr);
   iStatus = nc_inq_dimlen(liFileId,liaDimSize[0],&iNx);
   printf("Status %d %s Rank %d %d\n",iStatus,caDataName,liRank,iNx);

   fpXC1 = (float*)malloc(sizeof(float)*iNx);

   liErr = nc_get_var_float(liFileId,liSdsId,fpXC1);

   printf("liErr %d fpXC1[10] %g\n",liErr,fpXC1[10]);


   liErr = nc_close(liFileId);

  
   return 1;

}

  
