/*    variables for HDF magnetosphere reader
      must be consistent with the fortran include 'param.inc'
      the file 'lparam.inc' must also be modified to be consistent
      with param. This is done by setting the following
      
          LI = MAX(NI,NJ,NK)
	  LJ = MAX(NI,2*NJ, NK)
	  LK = NK

       The NC variables are the number of points in obne direction
       for the interpolated Cartesian array. The file 'intco1d.inc' needs
       to be modified so that the parameter, 
         num1d >= NCI*NCJ*NCK

*/
#define      NI      106
#define      NJ      48
#define      NK      64
#define      NCI     50
#define      NCJ     30 
#define      NCK     30  
