/* Function prototypes and common defines for lfm-parallel */

#ifndef FUNCS_H
#define FUNCS_H

#define ij(i,j) ((i)+ni*(j))
#define ij1(i,j) ((i)+nip1*(j))
#define ijk(i,j,k) ((i)+ni*((j)+nj*(k)))
#define ijk1(i,j,k) ((i)+nip1*((j)+njp1*(k)))
#define ijkc(i,j,k) ((i)+ni*((j)+njp2*(k)))
#define vijk(v,i,j,k) ((v)+nv*((i)+ni*((j)+njp2*((k)))))
#define ionij(i,j) ((i)+njp1*(j))
#define vionij(v,i,j) ((v)+nv*((i)+njp1*((j))))

int GetGrid(int32 liFileId, float fNorm, float *fpMHDPts);
int GetMHDData(int32 liFileId, int ni, int nj, int nk, float *fpMHDDdata);
int GetIonGrid(int32 liFileId, float fNorm, float *fpIonPts);
int GetIonData(int32 liFileId, int njp1, int nk2p3, float *fpIonData);
int GetIntAtr(int32 liId, char *cpName);
int ChkStep(int iTimeStep, int iInital, int iFinal, int iInterval);
float *fpGetData(int32 liFileId, char *cpName);

#endif
