C -----------------------------------------------------------------
C Simple routines to manipulate data in AVS fields.
C
C Written by:
C
C David McNabb
C Advanced Visualization Lab
C University of Maryland at College Park
C
C 3/19/92
C -----------------------------------------------------------------


C ----------------------------------------------------------------------
       subroutine rput (src_vec, src_size, dst_vec, dst_size)

       implicit none
       integer dst_size, src_size
       real dst_vec(dst_size), src_vec(src_size)

       integer i, limit

       limit = min(dst_size, src_size)

       do 10 i=1, src_size
          dst_vec(i) = src_vec(i)
 10    continue

       return
       end


C ----------------------------------------------------------------------
       subroutine dput (src_vec, src_size, dst_vec, dst_size)

       implicit none
       integer dst_size, src_size
       double precision dst_vec(dst_size), src_vec(src_size)

       integer i, limit

       limit = min(dst_size, src_size)

       do 10 i=1, src_size
          dst_vec(i) = src_vec(i)
 10    continue

       return
       end


C -----------------------------------------------------
       integer function igrab (ivec, isize, which)

       implicit none
       integer isize, which
       integer ivec(isize)

       igrab = ivec(which)

       return
       end


C -----------------------------------------------------
       real function rgrab (rvec, isize, which)

       implicit none
       integer isize, which
       real rvec(isize)

       rgrab = rvec(which)

       return
       end


C -----------------------------------------------------
       double precision function dgrab (dvec, isize, which)

       implicit none
       integer isize, which
       double precision dvec(isize)

       dgrab = dvec(which)

       return
       end

