
% R.S. Weigel 04/07/2004.

curr      = pwd;
FILE_EXT  = 'ASC';
DIRECTORY = '/home/cism/weigel/Programs/CISM_DX_DATA-Full/measurements/original_data/Storms/2003_Halloween/Ground_Magnetometer';
Dir       = readdir(DIRECTORY);

for i = 1:size(Dir,1)

  fname = deblank(Dir(i,:));
  L     = length(fname);
  if (L > 3)
    I = strmatch(FILE_EXT,fname(L-length(FILE_EXT)+1:L));
    if (~isempty(I))
      fprintf('load_all.m is attempting to loading %s ... ',fname);fflush(stdout);
      X{i} = load(fname);
      fprintf('Success.\n');
    end
  end
  
end

cd(curr);