clear

mag_data_info;

% Check all SPIDR data
for i = 1:1%size(MAGLIST_SPI,1)
  years = [YEARS_SPI(i,1):YEARS_SPI(i,2)];
  for j = 1:3
    %[X,dX] = mag_data_load(MAGLIST_SPI(i,1:3),years,COORDSYS_SPI(i,j),directory_spi,FLAG_SPI(i,j));
    X = mag_data_load(MAGLIST_SPI(i,1:3),years,COORDSYS_SPI(i,j),directory_spi,FLAG_SPI(i,j));
    %setpos;
    %plot(sort(dX));
    plot(X);
    %break
    title(sprintf('%s %s %d-%d',MAGLIST_SPI(i,1:3),COORDSYS_SPI(i,j),years(1),years(end)));
    %year_ticklabels(years(1),1,4);
    input('Continue');
    clear X;
  end
end

break

% Check all FMI data
for i = 1:size(MAGLIST_FMI,1)
  for j = 1:3
   X = mag_data_load(MAGLIST_FMI(i,1:3),[1995:2002],COORDSYS_FMI(i,j),directory_fmi,FLAG_FMI(i,j));
   %setpos;
   plot(X);
   It = find(X<FLAG);
   F  = length(It)/length(X);
   title(sprintf('%s %s %d-%d, Fraction Good = %.2f',...
		 MAGLIST_FMI(i,1:3),COORDSYS_FMI(i,j),1995,2002,F));
   %year_ticklabels(1995);
   input('Continue');
   clear X;
  end
end

% Check all DMI data
for i = 1:size(MAGLIST_DMI,1)
  years = [YEARS_DMI(i,1):YEARS_DMI(i,2)];
  for j = 1:3
    X = mag_data_load(MAGLIST_DMI(i,1:3),years,COORDSYS_DMI(i,j),directory_dmi,FLAG_DMI(i,j));
    %setpos;
    plot(X);
    title(sprintf('%s %s %d-%d',MAGLIST_DMI(i,1:3),COORDSYS_DMI(i,j),years(1),years(end)));
    %year_ticklabels(years(1),1,4);
    input('Continue');
    clear X;
  end
end

