
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:size(MAGLIST,1)

  [tempX,tempdX] = mag_data_load(MAGLIST(i,:),years,COMP,directory_fmi,FLAG);
  tempdX         = abs(tempdX);

  if (~isempty(H_remove))
    tempX    = reshape(tempX,60,length(tempX)/60);
    tempdX   = reshape(tempdX,60,length(tempdX)/60);

    tempX(:,H_remove)  = FLAG;
    tempdX(:,H_remove) = FLAG;    
  
    tempX    = tempX(:);
    tempdX   = tempdX(:);
  end
  
  Xm(:,:,i)      = ut_doy_ave(tempX,years,1440,[30 30],[1 30],FLAG);
  dXm(:,:,i)     = ut_doy_ave(tempdX,years,1440,[30 30],[1 30],FLAG);
  
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make smooth at midnight
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for dy = 1:365
  a             = 0.5*(Xm(1,dy,:) + Xm(end,dy,:));
  Xm(1,dy,:)    = a;
  Xm(end,dy,:)  = a;
  a             = 0.5*(dXm(1,dy,:) + dXm(end,dy,:));    
  dXm(1,dy,:)   = a;
  dXm(end,dy,:) = a;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%eval(sprintf('save /tmp/TEMP_DOY_%s_%s.mat Xm',COMP,TAG));
eval(sprintf('save /tmp/TEMP_DOY_%s_%s.mat Xm dXm',COMP,TAG));

