function ATTR = Augsburg_ULF_info(Attr_in)

NameList = {'Tgr','Sgr','Rgr','Tgeo','Sgeo','Rgeo','Timf','Simf',...
	    'Rimf','V','N','Bz','Dst'};

for i = 1:length(Attr_in)  
  ATTR{i}        = ts_attr;
  ATTR{i}.Year_o = Attr_in{i}.Year_o;
  ATTR{i}.Year_f = Attr_in{i}.Year_f;
  ATTR{i}.Size   = Attr_in{i}.Size;
  ATTR{i}.PPD    = '24';
  ATTR{i}.Name   = [NameList{i},' (Augsburg ULF Index data set 1-hour)'];
  ATTR{i}.Source = 'ftp://space.augsburg.edu/pub/MACCS or ftp://space.augsburg.edu/ftp/maccs/ULF_Index/';
  ATTR{i}.Acknowledgement = ...
      'ftp://space.augsburg.edu/pub/MACCS/ULF_Index_JGR2004.pdf or ftp://space.augsburg.edu/ftp/maccs/ULF_Index/';
  % Better to write code that extracts this text automatically from README
  ATTR{i}.README  = ...
      'ftp://space.augsburg.edu/pub/MACCS/ULF-index_Readme.doc';
end

