function DATA_DIR = DMI_1_hour_get(dl,version)

TSDS_GLOBALS; % Get global variables and path setting

BASE = 'ftp.dmi.dk';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PATH = 'pub/wdcc1/obsdata/hourval/single_year';
URL  = sprintf('ftp://%s/%s',BASE,PATH);
DIR  = [TSDS_DATA_ORIG];

if (dl == 1)
  system(sprintf('cd %s ; echo $PWD ; %s -m "%s"',DIR,TSDS_WGET,URL));
end

DATA_DIR = [DIR,'/',BASE,'/',PATH];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PATH = 'pub/wdcc1/acknowledge';
URL  = sprintf('ftp://%s/%s',BASE,PATH);
DIR  = [TSDS_ROOT,sprintf('/data/original-s%d',version)];

if (dl == 1)
  system(sprintf('cd %s ; echo $PWD ; %s -m "%s"',DIR,TSDS_WGET,URL));
end
  
ACK_DIR = [DIR,'/',BASE,'/',PATH];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
