function ATTR = DMI_1_min_info(Attr_in,version)

TSDS_GLOBALS;  

URL = 'ftp://ftp.dmi.dk/pub/wdcc1/acknowledge';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:length(Attr_in)

Attr_in{i}.Version = num2str(version);

Attr          = ts_attr;
Attr.Year_o   = Attr_in{i}.Year_o;
Attr.Year_f   = Attr_in{i}.Year_f;
Attr.Size     = Attr_in{i}.Size;
Attr.PPD      = 1440;
Attr.TimeUnit = 'minute';
Attr.Category1 = 'Ground Magnetometer';

Attr.Acknowledge  = sprintf(['WDC C1 is storage facility see %s/%s.ack for'...
		    'citation of the intrument PI'],...
			    URL,lower(Attr_in{i}.Name(1:3)));
Attr.CreatedWith  = ['DMI_1_min.m'];
Attr.Source       = 'http://web.dmi.dk/projects/wdcc1/';
Attr.README       = 'http://web.dmi.dk/projects/wdcc1/';

Attr.Name         = sprintf('%s (DMI WDC 1-min)',Attr_in{i}.Name);
Attr.Unit         = 'nT';
Attr.Warning      = sprintf(['Always spot check this data with data from'...
		    'source: %s.  Content should be identical.'],Attr.Source);
ATTR{i} = Attr;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



