function DATA_DIR = FMI_1_min_get(dl,version)

TSDS_GLOBALS; % Get global variables and path setting

BASE = 'www.ava.fmi.fi';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PATH = 'image/reqform/data';
URL  = sprintf('http://%s/%s/%s',BASE,PATH);
DIR  = [TSDS_DATA_ORIG,sprintf('-s%d',version)];

DATA_DIR = [DIR,'/',BASE,'/',PATH];

com = ['cd ',DATA_DIR,';'];

if (dl == 1)

  for year = 2003:2004
    
    for i = 1:number_days(year)

      [year,mo,day] = ymd(i,year,'day');
    
      fname = sprintf('%d%02d%02d00',year,mo,day);

      if (~exist(sprintf('%s/%s.col2.gz',DATA_DIR,fname)))
      
      com1 = sprintf('curl "http://www.ava.fmi.fi/cgi-bin/imagecgi/image-data.cgi?start=%s&eventlength=24&station=&column2=on&sampling=one_minute&compression=gz&yourname=RWeigel&institute=LASP&email=Robert.Weigel@lasp.colorado.edu">> curl.log',fname);

      system([com,com1]);

      com2 = sprintf('wget http://www.ava.fmi.fi/image/plots/%s.col2.gz',...
		     fname);

      system([com,com2]);

      pause(60);
      end

    end
  
  end

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

