function ATTR = DMI_1_min_info(Attr_in,version)

TSDS_GLOBALS;  

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
for i = 1:length(Attr_in)

Attr_in{i}.Version = '0';

Attr          = ts_attr;
Attr.Year_o   = Attr_in{i}.Year_o;
Attr.Year_f   = Attr_in{i}.Year_f;
Attr.Size     = Attr_in{i}.Size;
Attr.PPD      = 1440;
Attr.TimeUnit = 'minute';

Attr.CreatedWith  = ['FMI_1_min.m'];
Attr.Source       = 'http://www.ava.fmi.fi/image/reqform/dataform.html';
Attr.README       = 'http://www.ava.fmi.fi/image/datainfo.html';
Attr.Acknowledge  = 'http://www.ava.fmi.fi/image/datainfo.html';
Attr.Name         = sprintf('%s (FMI 1-min)',Attr_in{i}.Name);
Attr.Unit         = 'nT';

ATTR{i} = Attr;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



