function [V,ATTR] = Kyoto_Dst_extract(DATA_DIR,version)

% R.S. Weigel 04/03/2004

% Get global variables and path setting
TSDS_GLOBALS;

fname = [DATA_DIR,'/dst5701.dat'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Load the data after transforming original data to a matrix data file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
com = sprintf('%s %s/Kyoto_Dst_extract.pl %s %s',...
	      TSDS_PERL,TSDS_PERLFILES,fname,TSDS_DATA_TEMP);
system(com);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (version == 1)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fname = sprintf('%s/Kyoto_Dst_extract.dat',TSDS_DATA_TEMP);
Dst = load(fname);
rm(fname);

Dst = Dst(:,5:end-1)';
Dst = Dst(:);

Attr.Year_o  = '1957';
Attr.Year_f  = '2001';
Attr.Size    = size(Dst);

ATTR{1}      = Attr;
V{1}         = Dst;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

if (version == 0)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fname = sprintf('%s/Kyoto_Dst_extract.dat',TSDS_DATA_TEMP);
Dst = load(fname);
rm(fname);

Dst = Dst(:,5:end-1)';
Dst = Dst(:);

Attr.Year_o  = '1957';
Attr.Year_f  = '1997';
Attr.Size    = size(Dst);

ATTR{1}      = Attr;
V{1}         = Dst;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fname = sprintf('%s/Kyoto_Dst_extract2.dat',TSDS_DATA_TEMP);
Dst = load(fname);
rm(fname);

Dst = Dst(:,5:end-1)';
Dst = Dst(:);

Attr.Year_o  = '1998';
Attr.Year_f  = '2001';
Attr.Size    = size(Dst);

ATTR{2}      = Attr;
V{2}         = Dst;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

end