% Auto-downloads Kyoto Quicklook data.  Called by make_Kyoto_QL_1_min.m

more off;
CISM_DX_GLOBALS;

day1  = ['01';'02';'03';'04';'05';'06';'07';'08';'09'];
day2  = num2str([10:1:31]');
day   = [day1;day2];
month = day(1:12,:);

%for year = 1997:2001 % No more data after 2001.
  
if (is_leap_year(year))
  Ndays = [31,29,31,30,31,30,31,31,30,31,30,31];
else
  Ndays = [31,28,31,30,31,30,31,31,30,31,30,31];
end

for i = 1:12
  for j = 1:Ndays(i)
    ql_file = sprintf(' "data=%d%s%s.qae" ',year,month(i,:),day(j,:));
    com1    = strcat('!curl -d ',ql_file,...
	' "http://swdcdb.kugi.kyoto-u.ac.jp/cgi-bin/downldql">',ql_file);
    eval(com1)
    %pause(60); % Be nice to their server.
  end
end

end

DAT_LOCATION = [CISM_DX_DATA_FULL_ROOT,...
		'measurements/original_data/AE_1957_X/AE_1997_X/data'];

system(sprintf('mv data*.qae %s',DAT_LOCATION));
