TSDS_GLOBALS;

% Where to put the downloaded data
DATA_DIR = [TSDS_DATA_LOCAL_WRITE,...
	    'measurements/original_data/SSCWeb/'];

SAVE_LOCATION = [TSDS_DATA_LOCAL_WRITE,...
		 'measurements/uniform_time_series/matfiles/'];

GET_LIST = {'ULYSSES','PIONEER_10','PIONEER_11','VOYAGER_1','VOYAGER_2'};

for i = 1:length(GET_LIST)
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  Object    = GET_LIST{i};

  [Pos,Years,Data_raw,Info_raw] = get_sscweb_data(Object);

  Year_o = Years(1);
  Year_f = Years(2);  

  save_vars = 'Data_raw Info_raw Pos Year_f Year_o';
  com       = sprintf('save %s%s_Pos_HSE_1_day.mat %s',...
		      SAVE_LOCATION,Object,save_vars); 
  eval(com)

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end



