#  Usage: Kyoto_Dst_extract.pl filename tmpdir ver
#  
#  R.S. Weigel 04/07/2004.

$DATA_OUT = $ARGV[1] . "/Kyoto_Dst_extract.dat";
$DATA_OUT2 = $ARGV[1] . "/Kyoto_Dst_extract2.dat";

open(DATA_out,">$DATA_OUT");

open(DATA_in,"$ARGV[0]");
print "Kyoto_Dst_extract.pl is operating on file: $ARGV[0] ... \n";

$line = <DATA_in>;

# Stop at point where provisional data starts.
while ($line !~ m/Description/) {

    $line =~ s/DST(.*)\*/$1/g; 
    $line =~ s/^([0-9][0-9])([0-9][0-9])([0-9][0-9])/$1 $2 $3/;
    $line =~ s/\-/ \-/g; 
    $line =~ s/([0-9]) ([0-9])/$1  $2/g; 
    print(DATA_out "$line");

    $line = <DATA_in>;

}

print "Done. Output file is $DATA_OUT\n";
close(DATA_out);

if ($ARGV[2]==0){
open(DATA_out,">$DATA_OUT2");
# Put provisional data in separate file
while ($line = <DATA_in>) {

    if ($line =~ m/^DST/) {
    $line =~ s/DST(.*)\*/$1/g; 
    $line =~ s/^([0-9][0-9])([0-9][0-9])([0-9][0-9])/$1 $2 $3/;
    $line =~ s/\-/ \-/g; 
    $line =~ s/([0-9]) ([0-9])/$1  $2/g; 
    $line =~ s/ X[0-9][0-9][0-9] / /;
    print(DATA_out "$line");

}
}
print "Done. Output file is $DATA_OUT2\n";
close(DATA_out);
}

close(INFILE);
