function INFO = ts_dfinfo(fname)
%TS_DFINFO Return information about file
%
%   Info = TS_DFINFO(fname)
%
%    
  
if (0)

  I    = hdfinfo( fname );
  Attr = ts_attr;
  
  for i = 1:length(I.SDS)

    Value_cell = cellstr(strvcat(I.SDS(1).Attributes.Value));
    Value_cell = Value_cell(5:end);

    Name_cell  = cellstr(strvcat(I.SDS(1).Attributes.Name));
%    Name_cell  = Name_cell(4:end)

    Field_cell = fieldnames(Attr);
%    Field_cell = Field_cell(5:end)
    
    INFO{i} = cell2struct(Value_cell,Field_cell);
  
  end
  
end

if (1)

  FILE  = load(fname);

  for i = 1:length(FILE.Attr_cell)
    
    sds          = FILE.Attr_cell{i};
    sds.Filename = fname;
    sds.Index    = i;
    INFO{i}      = sds;

  end
  
end

 